@import url('https://fonts.googleapis.com/css2?family=Inter:wght@200;400;500;600;700&family=Montserrat:wght@300;400;500;600;700;800;900&family=Poppins:wght@200;300;400;500&family=Roboto:wght@300;400&display=swap');


* {
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    font-family: 'Montserrat', sans-serif;
    font-family: 'Roboto', sans-serif;
    font-family: 'Inter', sans-serif;
}

body {
    min-height: 100vh;
    background: var(--background);
}

#questionnaire {
    position: relative;
    min-height: 88vh;
}

.main-q-box {
    display: flex;
    position: relative;
    min-height: 80vh;

}

:root {
    --primary: #000;
    --secondry: #fff7e0;
    --white: #fff;
    --black: #000;
    --gray: #e4e6e8;
    --background: #eceef3;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    color: var(--black);
}

h2 {
    font-size: 28px;
    font-weight: 500;
    line-height: 1.4;
}

p {
    font-size: 18px;
}

button {
    padding: 8px 20px;
    border-radius: 129px;
    border: solid 1px var(--primary);
    background-color: var(--primary);
    font-size: 16px;
    display: flex;
    align-items: center;
    gap: 5px;
    cursor: pointer;
    color: white;
    transition: 0.2s;
}

.solar-cards-no-img .solar-card {
    padding: 20px !important;
}

.selected {
    border: 1px solid #2F6B77 !important;
    background-color: #2F6B77 !important;
}

.selected p {
    color: white !important;
}


.renewable-product,
.not-right-now {
    max-width: 100px;
    text-align: center;
}

.solar-cards p {
    font-size: 16px;
    font-weight: 500;
}

.main-q-box {
    display: flex;
    justify-content: space-between;
    background-color: var(--background);
}

.progress-bar {
    /* position: fixed; */
    width: 70%;
}

/* header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    gap: 10px;
    height: 90px;
    position: sticky;
    top: 0;
    width: 100%;
    background: var(--white);
}

header img{
    max-width: 200px;
} */

.body-content {
    width: 70%;
    padding: 20px;
    background-color: var(--background);
}

.next-button-box .nextButtonOfProducts {
    margin-top: 10px;
    display: none;
}

.dropdown-trigger button {
    padding: 8px 20px;
    border-radius: 129px;
    border: solid var(--primary);
    background-color: var(--primary);
    font-size: 16px;
    display: flex;
    align-items: center;
    gap: 4px;
    cursor: pointer;
}

.dropdown-trigger button span {
    color: white;
}

.solar-card p {
    text-transform: capitalize;
}

.hd_styl {
    font-size: 14px;
    color: var(--black);
}

.button:focus,
.button.is-focused {
    border-color: var(--primary);
    /* border-width: 1px; */
    color: #363636;
}

.chat-with-us {
    text-decoration: underline;
    color: black;
    font-size: 16px;
    font-weight: 500;
}

.outer-bar {
    height: 4px;
    background: #daefe6;
    border-radius: 100px;
}

.inner-bar {
    background-color: var(--primary);
    height: 4px;
    border-radius: 100px;
    width: 5%;
    transition: 0.3s;
}


.solar-card.flat-icon use {
    stroke-width: 2px;
}


/* side bar css */


.question-detail-sec {
    width: 30%;
    background-color: var(--secondry);
    height: 90vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5%;
}

.q-detail-box {
    background: white;
    padding: 20px;
    border: solid 2px;
    border-left: solid 5px;
    border-bottom: solid 5px;
    border-radius: 10px;
    border-color: var(--black);
    z-index: 10;
}

.q-detail-box h3 {
    font-size: 25px;
    margin-bottom: 12px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.q-detail-box p {
    font-size: 18px;
    line-height: 1.4;
}

.solar-card {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    background: var(--white);
    border: solid 1px var(--gray);
    padding: 15px;
    border-radius: 10px;
    min-width: 150px;
    transition: 0.2s;
    cursor: pointer;
    padding-top: 25px;
    transition: none !important;
}



.solar-card:hover {
    scale: 1.02;
    background: var(--primary) !important;
}

.solar-card:hover p {
    color: var(--white);
}

.solar-card:hover use {
    /* stroke: var(--white); */
}

#renewable-products .questions {
    margin-bottom: 70px;
}

.next-button-box {
    display: flex;
    justify-content: center;
}

.solar-card use {
    stroke-width: 1px;
    stroke: var(--black);
}

.solar-cards {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
}

.heade-sec {
    margin: 30px 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
    text-align: center;
}

.questions-sec {
    display: flex;
    justify-content: center;
    max-width: 762px;
    min-width: 50%;
    margin: 0 auto;
    margin-top: 20vh;
    width: 100%;
}

.solar-card img {
    width: 94px;
    background: #f5f6f9;
    aspect-ratio: 1/1;
    object-fit: contain;
    border-radius: 50%;
    padding: 8px;
}

.questions-input-sec {
    margin-top: 6vh;

}

.solar-card svg {
    max-width: 94px;
    background: #f5f6f9;
    aspect-ratio: 1/1;
    object-fit: contain;
    border-radius: 50%;
    padding: 8px;
}

.solar-card:hover svg {
    background-color: white;
}

#side-fill {
    fill: #b9eccf !IMPORTANT;
}


.back-btn {
    position: absolute;
    bottom: 10px;
    left: 10px;
    border: none;
    color: var(--primary);
    font-size: 43px;
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    transition: 0.2s;
    background: transparent;
}

.back-btn:hover {
    background-color: var(--white);
    color: var(--black);
}

.modal-button {
    display: none;
}

.tg-popup {
    background: #eceef3;
    max-width: 506px;
    max-height: 800px;
    overflow: hidden;
    border-radius: 20px;
    padding: 50px;
}

@media only screen and (max-width: 600px) {
    .tg-popup {
        padding: 20px;
    }

    header {

        height: 70px;
    }


    .back-btn {
        bottom: 12px;
        font-size: 36px;
    }

    .dropdown-trigger button {
        padding: 6px 14px;
        font-size: 14px;
    }

    header img {
        max-width: 120px;
    }

    .solar-cards {
        gap: 10px;
        justify-content: center;
    }

    .solar-card {
        min-width: 160px;
        max-width: 160px;
        text-align: center;
    }

    .name-box {
        display: flex;
        gap: 20px !important;
    }

    .q-detail-box {
        border: none;
    }

    p {
        font-size: 16px;
    }

    .modal-content-detail {
        background: white;
        bottom: 0;
        position: absolute !important;
        min-height: 350px;
        border-radius: 30px 30px 0px 0px;
        padding: 20px;
    }

    .main-q-box {
        flex-wrap: wrap;
    }

    h2 {
        font-size: 24px;
    }

    .heade-sec {
        margin: 20px 0;
        gap: 10px;
        text-align: center;
    }

    .questions-sec {
        margin-top: 0vh;
        padding: 20px;
        justify-content: center;
    }

    .question-detail-sec {
        width: 100%;
        height: auto;
        display: none;
    }

    .solar-card svg {
        max-width: 70px;
    }

    .modal-button {
        display: block;
        position: absolute;
        bottom: 10px;
        width: 100px;
        margin: auto;
        left: 0;
        right: 0;
        color: var(--black);
        padding: 8px 20px;
        border-radius: 129px;
        border: solid var(--gray) 1px;
        background-color: white;
        font-size: 16px;
        display: flex;
        align-items: center;
        gap: 4px;
        cursor: pointer;
        font-weight: 500;
    }

    .main-q-box button.modal-button {
        display: none;
    }

}



.hidden {
    display: none;
    border-bottom: solid 1px gainsboro;
}

.input-box {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}

.input-box {
    margin-bottom: 14px;
}

.name-box {
    display: flex;
    gap: 50px;
}

.input-box input,
.input-box textarea {
    width: 100%;
    padding: 16px;
    border-radius: 10px;
    border: solid 1px gainsboro;
    background: var(--white);
    color: #000 !important;
}

.input-box input::placeholder {
    color: grey !important;
}

.next-button {
    display: flex;
    align-items: center;
    gap: 10px;
    background: var(--primary);
    /* max-width: 104px; */
    border-radius: 50px;
    justify-content: space-between;
    color: white;
    padding: 8px 12px 8px 20px;
    font-size: 20px;
    text-transform: capitalize;
    border: solid var(--primary);
    transition: 0.2s;
    width: 100%;
}

.next-button i {
    font-size: 32px;
}

.next-button:hover {
    background: var(--white);
    color: var(--black);

}

.modal-close {
    background-color: var(--black) !important;
}

#dropdown-menu {
    position: absolute;
    top: 37px;
    left: -134px;
}

.dropdown-item {
    display: block;
    padding: 0;
    position: relative;
    margin-bottom: 15px;
    border-radius: 20px;
    display: flex;
    gap: 10px;
    align-items: center;
    cursor: pointer;
}

.dropdown-content {
    border-radius: 20px;
    width: 300px;
    border: solid var(--gray) 1px;
    padding: 20px;
}

.im_styl {
    color: var(--primary);
    font-size: 24px;
    background: #0dbc5924;
    padding: 20px;
    border-radius: 10px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.drop-item {
    background: var(--background);
    text-align: center;
    padding: 10px;
    border-radius: 10px;
}


/* Modla css */


.modal-w-detail {
    background: var(--background);
    height: 100%;
    padding: 50px;
    max-height: 100%;
    position: absolute;
    right: 0;
    max-width: 500px;
    margin: 0;
}


.modal-product-detail {
    background: var(--background);
    padding: 50px;
    border-radius: 20px;
    max-width: 500px;
}

#req-call {
    padding: 10px;
}

.modal-product-detail h3 {
    font-size: 24px;
    font-weight: 600;
}

.light-text {
    color: gray;
    margin-bottom: 10px;
}

.modal-product-detail ul {
    margin-bottom: 15px;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.close {
    background: #2d3d4d;
    border-color: #2d3d4d;
}

.modal-product-detail li i {
    color: var(--primary);
}





.map-detail-sec .input-box {
    margin-bottom: 0;
}

.map-detail-sec a {
    position: absolute;
    bottom: 20px;
    left: 0;
    right: 0;
    margin: auto;
    max-width: 200px;
}

.map-detail-sec {
    display: block;
    position: relative;
    padding: 0;
    width: 50%;
}

.main-map {
    width: 100%;
    height: 100%;
}

.map-questions-sec {
    margin: 0;
    width: 100%;
}

.map-questions-sec {
    margin: 0;
    width: 100%;
    max-width: 100%;
}

.map-questions-sec .questions {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 15vh;
}

.map-questions-sec .heade-sec,
.map-questions-sec .input-cards {
    width: 100%;
    max-width: 500px;
}

@media only screen and (max-width: 600px) {

    .modal-product-detail,
    .modal-w-detail {
        padding: 30px;
    }

    .main-map {
        width: 100%;
        height: 100%;
        min-height: 61vh;
    }

    .map-questions-sec {
        flex-direction: column;
        gap: 20px;
    }

    .map-questions-sec .questions {
        margin-top: 0;
        width: 100%;
    }

    .map-questions-sec .modal-button {
        display: none;
    }

    .loc-search-sec {
        display: flex;
        align-items: center;
        justify-content: start;
        gap: 10px;
        position: relative;
        margin-bottom: 0;
    }

    .map-questions-sec .next-button {
        right: 5px;
        border-radius: 10px;
        padding: 4px 4px 5px 10px;
    }

    .question-detail-sec {
        width: 100% !important;
    }

    .loc-search-sec .input-box {
        margin-bottom: 0 !important;
    }

}


/* ----------------------Roof-section styling---------------- */

.roof-txt-1 {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #363636;
    margin-bottom: 10px;
}

.roof-sec {
    margin-top: 15px;
    margin-bottom: 15px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
    font-weight: 500;
}

.click-sec {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #f3f4f6;
    border-radius: 12px;
    padding: 15px 15px;
    gap: 25px;
    margin: 20px auto;
}


.icon-head {
    display: flex;
    gap: 8px;
    align-items: center;
}

.roof-txt-1 img {
    max-width: 27px;
    margin-right: 12px;
    margin-bottom: -5px;
}

.icon-head h2 {
    font-size: 1.3em;
}

.icon-head img {
    height: 26px;
    width: 26px;
}

.click-sec img {
    border-radius: 10px;
    display: flex;
    align-items: center;
}

.warning-para p {
    margin: 10px auto;
    color: #e19552;
    text-align: center;
    width: 500px;
}



@media only screen and (max-width: 800px) {

    .cl-c-para p {
        font-size: 15px;
        line-height: 1.4;
        margin: 5px 0px;
    }

    .click-sec {
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 12px;
        padding: 10px;
        width: 80vw;
        gap: 15px;
        margin: 10px auto;
        flex-wrap: no-wrap;
    }

    .icon-head {
        display: flex;
        gap: 8px;
        align-items: center;
        justify-content: start;
    }

    .icon-head h2 {
        font-size: 1.3em;
    }

    .icon-head img {
        height: 22px;
        width: 22px;
    }

    .warning-para p {
        margin: 10px auto;
        color: #e19552;
        text-align: center;
        width: 80vw;
        font-size: 15px;
    }

    .roof-sec p {
        padding: 5px 15px;
    }

    .modal-content,
    .modal-card {
        width: 92% !important;
    }

    .map-img-1 {
        width: 74%;
    }

}

/* direction css ===============================================================================================   direction css*/

.direction-section {
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    background-size: cover;
    justify-content: center;
    position: relative;
}


.map-back-img {
    position: absolute;
    height: 100%;
    object-fit: cover;
    width: 100%;
    filter: brightness(0.8);
}

#direction .direction-section {
    width: 50%;
}

#direction .questions-sec {
    width: 50%;
    display: flex;
    justify-content: center;
}

.dir-sec {
    border: dashed 2px white;
    width: 500px;
    height: 500px;
    border-radius: 50%;
    position: relative;
}

.dir-main-sec {
    background: url(/wp-content/themes/kadence-child/solar/images/direction.svg);
    background-repeat: no-repeat;
    object-fit: contain;
    background-size: 80% 80%;
    background-position: center;
    position: relative;
}

.way-box {
    background-color: white;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: 0.3s;
    position: absolute;
}

.way-box span {
    font-family: sans-serif;
    font-weight: 600;
}

.way-box:hover {
    background-color: #000;
    color: white;
}

.n-dir {
    top: -25px;
    left: calc(50% - 27.5px);
}

.e-dir {
    top: calc(50% - 27.5px);
    right: -25px;
}

.s-dir {
    bottom: -25px;
    left: calc(50% - 27.5px);
}

.w-dir {
    top: calc(50% - 27.5px);
    left: -25px;
}


/*  */


.ne-dir {
    top: 10%;
    left: 10%;
}

.se-dir {
    top: 10%;
    right: 10%;
}

.sw-dir {
    bottom: 10%;
    left: 10%;
}

.nw-dir {
    bottom: 10%;
    right: 10%;
}

@media only screen and (max-width: 800px) {

    #direction .direction-section {
        width: 100%;
    }

    #direction .questions-sec {
        width: 100%;
    }

    #direction {
        width: 100%;
    }

}

@media only screen and (max-width: 1224px) {
    .dir-sec {
        width: 400px;
        height: 400px;
    }

    .way-box {
        width: 40px;
        height: 40px;
        font-size: 16px;
    }
}

@media only screen and (max-width: 910px) {
    .dir-sec {
        width: 250px;
        height: 250px;
    }

    .way-box {
        width: 35px;
        height: 35px;
        font-size: 14px;
    }


    .ne-dir {
        top: 7%;
        left: 7%;
    }

    .se-dir {
        top: 7%;
        right: 7%;
    }

    .sw-dir {
        bottom: 7%;
        left: 7%;
    }

    .nw-dir {
        bottom: 7%;
        right: 7%;
    }

    .n-dir {
        top: -17px;
        left: calc(50% - 17.5px);
    }

    .e-dir {
        top: calc(50% - 17.5px);
        right: -17px;
    }

    .s-dir {
        bottom: -17px;
        left: calc(50% - 17.5px);
    }

    .w-dir {
        top: calc(50% - 17.5px);
        left: -17px;
    }
}

@media only screen and (max-width: 600px) {
    .dir-sec {
        width: 350px;
        height: 350px;
    }

    .way-box {
        width: 40px;
        height: 40px;
        font-size: 16px;
    }


    .ne-dir {
        top: 9%;
        left: 9%;
    }

    .se-dir {
        top: 9%;
        right: 9%;
    }

    .sw-dir {
        bottom: 9%;
        left: 9%;
    }

    .nw-dir {
        bottom: 10%;
        right: 9%;
    }

    .n-dir {
        top: -22px;
        left: calc(50% - 22.5px);
    }

    .e-dir {
        top: calc(50% - 22.5px);
        right: -22px;
    }

    .s-dir {
        bottom: -22px;
        left: calc(50% - 22.5px);
    }

    .w-dir {
        top: calc(50% - 22.5px);
        left: -22px;
    }

}

.form_required_error {
    color: red;
}

.fa-spinner {
    display: inline-block;
    /* Ensure the element is inline-block */
    animation: spin 1s linear infinite;
    /* Apply the animation */
}

/* Define the keyframes for the spin animation */
@keyframes spin {
    0% {
        transform: rotate(0deg);
        /* Initial state */
    }

    100% {
        transform: rotate(360deg);
        /* Final state */
    }
}


.t-and-c {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px !important;
}

.quote-form__checkbox-content p {
    margin: 0 !important;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

input#IAgrryCheck {
    width: 4%;
}

.rf_fgt_part .kt-blocks-info-box-text a {
    text-decoration: none;
    color: #2f6b77;
    font-size: 25px;
}

#front-sec {
    max-width: 859px;
    margin: auto;
    min-height: 70vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: #eceef3;
    border-radius: 20px;
    padding: 40px;
}

#front-sec h1 {
    font-size: 40px;
    font-weight: 600;
    text-transform: capitalize;
    margin-bottom: 20px;
    text-align: center;
}

#front-sec ul {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

#front-sec li {
    width: 48%;
    font-size: 20px;
    background: white;
    padding: 40px;
    min-height: 200px;
    border-radius: 10px;
}

#front-sec ul ul {
    width: 100%;
    display: flex;
    justify-content: center;
}

#front-sec ul ul button {
    font-size: 20px;
    width: 200px;
    display: flex;
    justify-content: center;
}

.step-sec-roof {
    background: #000;
    padding: 25px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-bottom: 30px;
    width: 100%;
}

.step-sec-roof h3 {
    color: white;
    font-weight: 600;
    font-size: 24px;
}

.step-sec-roof p {
    color: white;
}

div#google-map-option1 {
    margin-top: 0;
}


.step-sec-inner-roof {
    text-align: center;
    max-width: 500px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: start;
    margin: auto;
    text-align: center;
}